## org.apache.lucene.queryParser.standard.config
Interface FieldDateResolutionMapAttribute

All Superinterfaces:
  org.apache.lucene.util.Attribute

All Known Implementing Classes:
  FieldDateResolutionMapAttributeImpl

    public interface FieldDateResolutionMapAttribute

extends org.apache.lucene.util.Attribute

This attribute enables the user to define a default DateResolution per field. it's used by `FieldDateResolutionFCListener.buildFieldConfig(org.apache.lucene.queryParser.core.config.FieldConfig)`

Method Summary
`java.util.Map<java.lang.CharSequence,org.apache.lucene.document.DateTools.Resolution>` `getFieldDateResolutionMap()`
`void` `setFieldDateResolutionMap(java.util.Map<java.lang.CharSequence,org.apache.lucene.document.DateTools.Resolution> dateRes)`

Method Detail

### setFieldDateResolutionMap

    void setFieldDateResolutionMap(java.util.Map<java.lang.CharSequence,org.apache.lucene.document.DateTools.Resolution> dateRes)

  Parameters:
    `dateRes` - a mapping from field name to its default boost

### getFieldDateResolutionMap

    java.util.Map<java.lang.CharSequence,org.apache.lucene.document.DateTools.Resolution> getFieldDateResolutionMap()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.